Package org.picocontainer.injectors

# Class AbstractInjector.CyclicDependencyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.picocontainer.PicoException
org.picocontainer.PicoCompositionException
org.picocontainer.injectors.AbstractInjector.CyclicDependencyException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `AbstractInjector<T>`

public static class AbstractInjector.CyclicDependencyException extends PicoCompositionException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CyclicDependencyException(Class<?> element)`

## Method Summary

Modifier and Type
Method
Description
`Class[]`
`getDependencies()`
`String`
`getMessage()`
`void`
`push(Class<?> element)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CyclicDependencyException

public CyclicDependencyException(Class<?> element)

Parameters:
  `element` -

## Method Details

### push

public void push(Class<?> element)

Parameters:
  `element` -

### getDependencies

public Class[] getDependencies()

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`